Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DVRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.DVRecord

    public final class DVRecord

extends StandardRecord

Title: DATAVALIDATION Record (0x01BE)

Description: This record stores data validation settings and a list of cell ranges which contain these settings. The data validation settings of a sheet are stored in a sequential list of DV records. This list is followed by DVAL record(s)

Author:
  Dragos Buleandra (dragos.buleandra@trade2b.ro), Josh Micich

Field Summary
`static short` | `sid`

Constructor Summary
`DVRecord(int validationType, int operator, int errorStyle, boolean emptyCellAllowed, boolean suppressDropDownArrow, boolean isExplicitList, boolean showPromptBox, java.lang.String promptTitle, java.lang.String promptText, boolean showErrorBox, java.lang.String errorTitle, java.lang.String errorText, Ptg[] formula1, Ptg[] formula2, CellRangeAddressList regions)`
`DVRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()` Clones the object.
`CellRangeAddressList` | `getCellRangeAddress()`
`int` | `getConditionOperator()` get the condition operator
`protected int` | `getDataSize()`
`int` | `getDataType()`
`boolean` | `getEmptyCellAllowed()`
`int` | `getErrorStyle()`
`boolean` | `getListExplicitFormula()`
`boolean` | `getShowErrorOnInvalidValue()`
`boolean` | `getShowPromptOnCellSelected()`
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `getSuppressDropdownArrow()`
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DVRecord

    public DVRecord(int validationType,
                    int operator,
                    int errorStyle,
                    boolean emptyCellAllowed,
                    boolean suppressDropDownArrow,
                    boolean isExplicitList,
                    boolean showPromptBox,
                    java.lang.String promptTitle,
                    java.lang.String promptText,
                    boolean showErrorBox,
                    java.lang.String errorTitle,
                    java.lang.String errorText,
                    Ptg[] formula1,
                    Ptg[] formula2,
                    CellRangeAddressList regions)

### DVRecord

    public DVRecord(RecordInputStream in)

Method Detail

### getDataType

    public int getDataType()

  Returns:
    the condition data type
  See Also:
    `DataValidationConstraint.ValidationType`

### getErrorStyle

    public int getErrorStyle()

  Returns:
    the condition error style
  See Also:
    `DataValidation.ErrorStyle`

### getListExplicitFormula

    public boolean getListExplicitFormula()

  Returns:
    `true` if in list validations the string list is explicitly given in the formula, `false` otherwise

### getEmptyCellAllowed

    public boolean getEmptyCellAllowed()

  Returns:
    `true` if empty values are allowed in cells, `false` otherwise

### getSuppressDropdownArrow

    public boolean getSuppressDropdownArrow()

  Returns:
    `true` if drop down arrow should be suppressed when list validation is used, `false` otherwise

### getShowPromptOnCellSelected

    public boolean getShowPromptOnCellSelected()

  Returns:
    `true` if a prompt window should appear when cell is selected, `false` otherwise

### getShowErrorOnInvalidValue

    public boolean getShowErrorOnInvalidValue()

  Returns:
    `true` if an error window should appear when an invalid value is entered in the cell, `false` otherwise

### getConditionOperator

    public int getConditionOperator()

  get the condition operator

  Returns:
    the condition operator
  See Also:
    `utility class`

### getCellRangeAddress

    public CellRangeAddressList getCellRangeAddress()

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Clones the object. Uses serialisation, as the contents are somewhat complex

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.